Bug 788856 - Sign in fails when initiated from sign-out page
Sign in fails when initiated from sign-out page
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.5
Assigned To: David Mason
Alex Eng
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2012-02-09 01:28 EST by David Mason
Modified: 2012-03-06 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:08:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-02-09 01:28:01 EST
Description of problem:
Sign in redirects to the page where the sign in link was clicked, which causes logout if the page was the logout page.

Version-Release number of selected component (if applicable):
1.5-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1.Sign in
2.Click sign out link
3.Without changing page, click sign in
4.Enter credentials and click sign in
  
Actual results:
Not signed in after redirect

Expected results:
Should always sign in after entering correct credentials

Additional info:
Would be fixed by adding appropriate redirects (and url rewrite) to sign out operation, so user is never left on the sign out page so is not able to attempt sign in from the sign out page.

Sign in from error page has similar problem (user shown blank page).
Comment 1 David Mason 2012-02-14 21:27:37 EST
Fixed in 1.5

A rewritten sign out url existed but was not being used. Changing the sign out link to use this prevents the sign out action being carried along with the sign in redirect.

https://github.com/zanata/zanata/commit/f38447e4ef1fcc4b400a937c8833c0d8783a6bee
Comment 2 Alex Eng 2012-02-19 22:33:22 EST
VERIFIED in Zanata version 1.5-SNAPSHOT (20120220-1107)

Note You need to log in before you can comment on or make changes to this bug.